> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RelationsSearchListProviderDocumentActive

> Serve the active and passive texts of relations, with a given table as source (active) or destination (passive).

## "relationssearchlistproviderdocumentactive" MDO List

Serve the active and passive texts of relations, with a given table as source (active)
or destination (passive).

To facilitate relation searching, we need to provide a way to choose <b>which</b> relation we
would like to find. This provider supplies one list (dynamically named) for each table that
is used as a source or destination (relationdefinition --> relationtarget).

Each relation target combination supplied by relationtarget causes the relationdefinition to
appear in the correct direction, in the list for a table. Each such list is always flat.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RelationsSearchListProvider">RelationsSearchListProvider</see> class.
The name of the MDO list is 'relationssearchlistproviderdocumentactive'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relationssearchlistproviderdocumentactive
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relationssearchlistproviderdocumentactive", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 8  | Link to follow-up |           |           |
| 9  | Link to document  |           |           |
| 10 | Link to sale      |           |           |

## Related MDO Lists

* "relationssearchlistproviderdocumentactiveheadings"
* "relationssearchlistproviderdocumentactiveheadingswithallitem"
* "relationssearchlistproviderdocumentactiveheadingswithallitemwithnoselection"
* "relationssearchlistproviderdocumentactiveheadingswithnoselection"
* "relationssearchlistproviderdocumentactivewithallitem"
* "relationssearchlistproviderdocumentactivewithallitemwithnoselection"
* "relationssearchlistproviderdocumentactivewithnoselection"


## Related topics

- [RelationsSearchListProviderDocumentDocumentActive](/en/api/mdo-providers/reference/relationssearchlistproviderdocumentdocumentactive.md)
- [RelationsSearchListProviderDocumentAppointmentActive](/en/api/mdo-providers/reference/relationssearchlistproviderdocumentappointmentactive.md)
- [RelationsSearchListProviderDocumentSaleActive](/en/api/mdo-providers/reference/relationssearchlistproviderdocumentsaleactive.md)
- [RelationsSearchListProviderAppointmentDocumentActive](/en/api/mdo-providers/reference/relationssearchlistproviderappointmentdocumentactive.md)
- [RelationsSearchListProviderSaleDocumentActive](/en/api/mdo-providers/reference/relationssearchlistprovidersaledocumentactive.md)
- [RelationsSearchListProviderDocumentDocumentPassive](/en/api/mdo-providers/reference/relationssearchlistproviderdocumentdocumentpassive.md)
